"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpStation = void 0;
const eufy_security_client_1 = require("eufy-security-client");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpStation = (station, schemaVersion) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j;
    const base = {
        name: (_a = station.getPropertyValue(eufy_security_client_1.PropertyName.Name)) === null || _a === void 0 ? void 0 : _a.value,
        model: (_b = station.getPropertyValue(eufy_security_client_1.PropertyName.Model)) === null || _b === void 0 ? void 0 : _b.value,
        serialNumber: (_c = station.getPropertyValue(eufy_security_client_1.PropertyName.SerialNumber)) === null || _c === void 0 ? void 0 : _c.value,
        hardwareVersion: (_d = station.getPropertyValue(eufy_security_client_1.PropertyName.HardwareVersion)) === null || _d === void 0 ? void 0 : _d.value,
        softwareVersion: (_e = station.getPropertyValue(eufy_security_client_1.PropertyName.SoftwareVersion)) === null || _e === void 0 ? void 0 : _e.value,
        lanIpAddress: (_f = station.getPropertyValue(eufy_security_client_1.PropertyName.StationLANIpAddress)) === null || _f === void 0 ? void 0 : _f.value,
        macAddress: (_g = station.getPropertyValue(eufy_security_client_1.PropertyName.StationMacAddress)) === null || _g === void 0 ? void 0 : _g.value,
        currentMode: (_h = station.getPropertyValue(eufy_security_client_1.PropertyName.StationCurrentMode)) === null || _h === void 0 ? void 0 : _h.value,
        guardMode: (_j = station.getPropertyValue(eufy_security_client_1.PropertyName.StationGuardMode)) === null || _j === void 0 ? void 0 : _j.value,
        connected: station.isConnected(),
    };
    if (schemaVersion == 0) {
        return base;
    }
    // All schemas >= 1
    const station1 = base;
    station1.type = station.getPropertyValue(eufy_security_client_1.PropertyName.Type).value;
    return station1;
};
exports.dumpStation = dumpStation;
//# sourceMappingURL=state.js.map